# ==================================================================
# Gossamer Links - enhanced directory management system
#
#   Website  : http://gossamer-threads.com/
#   Support  : http://gossamer-threads.com/scripts/support/
#   CVS Info : 087,071,086,086,085      
#   Revision : $Id: mod_perl.pm,v 1.34 2005/03/28 22:58:07 brewt Exp $
#
# Copyright (c) 2001 Gossamer Threads Inc.  All Rights Reserved.
# Redistribution in part or in whole strictly prohibited. Please
# see LICENSE file for full details.
# ==================================================================

package Links::mod_perl;
# ==================================================================
use strict();

# If under mod_perl, we use Apache::DBI to cache connections.
use GT::Base qw/MOD_PERL/;

BEGIN {
    require Apache::DBI if MOD_PERL;
    print STDERR "\nPreloading Gossamer Links modules into mod_perl:\n\t";
}

use Links();
BEGIN { print STDERR " ." }
use Links::Config();

# Preload commonly used GT libs.
use constants();
use GT::Cache();
use GT::CGI();
use GT::Date();
use GT::Lock;
BEGIN { print STDERR " ." }
use GT::Dumper();
use GT::FileMan();
use GT::Mail();
use GT::Mail::BulkMail();
use GT::MD5();
use GT::MD5::Crypt();
use GT::MIMETypes();
BEGIN { print STDERR " ." }
use GT::SQL();
use GT::SQL::Admin();
use GT::SQL::File();
use GT::SQL::Relation();
use GT::SQL::Search();
use GT::SQL::Display::HTML::Table();
use GT::SQL::Display::HTML::Relation();
use GT::SQL::Search::Base::Common();
use GT::SQL::Search::Base::Indexer();
use GT::SQL::Search::Base::STH();
use GT::SQL::Search::Base::Search();
BEGIN { print STDERR " ." }
use GT::Socket::Client();
use GT::TempFile();
use GT::Plugins();
use GT::Plugins::Author();
use GT::Plugins::Installer();
use GT::Plugins::Manager();
use GT::Template();
use GT::Template::Editor();
use GT::Template::Parser();
use GT::WWW();
BEGIN { print STDERR " ." }

# Preload Gossamer Links modules.
use Links::Admin();
use Links::Authenticate();
use Links::Bookmark();
use Links::Browser();
use Links::Build();
use Links::Bookmark();
use Links::Config();
use Links::Newsletter();
use Links::Parallel();
use Links::Payment();
use Links::Plugins();
BEGIN { print STDERR " ." }
use Links::SQL();
use Links::SiteHTML();
use Links::Tools();
use Links::Utils();
use Links::Browser::Controller();
use Links::Browser::JFunction();
use Links::Table::Category();
use Links::Table::Links();
use Links::Table::Users();
use Links::HTML::Category();
use Links::HTML::Links();
use Links::HTML::Users();
BEGIN { print STDERR " ." }
use Links::User::Add();
use Links::User::Editor();
use Links::User::Jump();
use Links::User::Login();
use Links::User::Modify();
use Links::User::Page();
use Links::User::Rate();
use Links::User::Review();
use Links::User::Search();

BEGIN { print STDERR " .\nAll modules loaded ok!\n" }

print STDERR "Compiling all functions ...";

GT::AutoLoader::compile_all();

print STDERR " All modules compiled and loaded okay!\n\n";

1;
